import { get, post, put, del } from '../utils/request'

// 获取账单列表
export function getBills(params) {
  return get('/bills', params)
}

// 获取账单详情
export function getBill(id) {
  return get(`/bills/${id}`)
}

// 创建账单
export function createBill(data) {
  return post('/bills', data)
}

// 批量创建账单
export function createBillsBatch(data) {
  return post('/bills/batch', data)
}

// 更新账单
export function updateBill(id, data) {
  return put(`/bills/${id}`, data)
}

// 删除账单
export function deleteBill(id) {
  return del(`/bills/${id}`)
}